using CandidateReviewContracts.BindingModels;
using CandidateReviewContracts.SearchModels;
using CandidateReviewContracts.ViewModels;

namespace CandidateReviewContracts.BusinessLogicsContracts
{
    public interface IResumeLogic
    {
        List<ResumeViewModel>? ReadList(ResumeSearchModel? model);
        ResumeViewModel? ReadElement(ResumeSearchModel model);
        bool Create(ResumeBindingModel model);
        bool Update(ResumeBindingModel model);
        bool Delete(ResumeBindingModel model);
    }
}
